> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# add a staged finding

> add a staged finding to an analysis. Changes are not applied until committed.



## OpenAPI

````yaml /api-reference/openapi.json post /analyses/{analysis_node_id}/draft/add
openapi: 3.0.0
info:
  title: BevorAI API
  version: 1.0.0
servers: []
security: []
tags:
  - name: project
    description: Managing projects, which are used to group code versions
  - name: code
    description: >-
      Used for retrieving or creating smart contract references. Required for
      creating analyses.
  - name: analysis
    description: Managing security analyses
  - name: chat
    description: Chat functionality for interacting with audit results
paths:
  /analyses/{analysis_node_id}/draft/add:
    post:
      tags:
        - analysis
      summary: add a staged finding
      description: >-
        add a staged finding to an analysis. Changes are not applied until
        committed.
      parameters:
        - name: analysis_node_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                type:
                  $ref: '#/components/schemas/FindingTypeEnum'
                level:
                  $ref: '#/components/schemas/FindingLevelEnum'
                name:
                  title: Name
                  type: string
                explanation:
                  title: Explanation
                  type: string
                recommendation:
                  type: string
                  nullable: true
                reference:
                  type: string
                  nullable: true
                scope_id:
                  title: Scope Id
                  type: string
              required:
                - type
                - level
                - name
                - explanation
                - scope_id
              title: AddFindingBody
              type: object
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  success:
                    title: Success
                    type: boolean
                required:
                  - success
                title: BooleanResponse
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    FindingTypeEnum:
      enum:
        - access_control
        - authorization
        - reentrancy
        - arithmetic
        - input_validation
        - logic
        - dos
        - upgradeability
        - economic
        - oracle
        - state_exposure
        - gas
      title: FindingTypeEnum
      type: string
    FindingLevelEnum:
      enum:
        - critical
        - high
        - medium
        - low
      title: FindingLevelEnum
      type: string
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - error.not_found
            - error.validation
            - error.server
            - error.invalid_scope
            - error.limit
            - error.entity_deletedcompiler.error
            - compiler.validation_error
            - compiler.authorization_error
            - compiler.not_found_error
            - compiler.invalid_version_error
            - compiler.old_version_error
            - explorer.contract_not_verified_error
            - explorer.contract_not_found_error
            - explorer.contract_fetch_error
            - compiler.internal_error
            - compiler.binary_error
            - compiler.compiler_error
            - ast.invalid_node
            - ast.invalid_reference
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````